Public Attributes | List of all members
ble_gap_sync_established_ind_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

Sync established indication. More...

`#include <ble_gapc.h>`

Collaboration diagram for ble_gap_sync_established_ind_t:
[legend]

## Public Attributes
uint8_t | phy
| PHY on which synchronization has been established. More...
uint16_t | intv
| Periodic advertising interval (in unit of 1.25ms, min is 7.5ms). More...
uint8_t | adv_sid
| Advertising SID. More...
uint8_t | clk_acc
| Advertiser clock accuracy. More...
ble_gap_bdaddr_t | bd_addr
| Advertiser address. More...
uint16_t | sync_hdl
| Sync handle. More...
uint16_t | serv_data
| Service data. More...
bool | report_flag
| Report Flag. More...

## Detailed Description

Sync established indication.

Definition at line 710 of file ble_gapc.h.

## Member Data Documentation

## ◆ adv_sid

uint8_t ble_gap_sync_established_ind_t::adv_sid

Advertising SID.

Definition at line 714 of file ble_gapc.h.

## ◆ bd_addr

ble_gap_bdaddr_t ble_gap_sync_established_ind_t::bd_addr

Advertiser address.

Definition at line 716 of file ble_gapc.h.

## ◆ clk_acc

uint8_t ble_gap_sync_established_ind_t::clk_acc

Advertiser clock accuracy.

See also
  ble_gap_clk_acc_t.

Definition at line 715 of file ble_gapc.h.

## ◆ intv

uint16_t ble_gap_sync_established_ind_t::intv

Periodic advertising interval (in unit of 1.25ms, min is 7.5ms).

Definition at line 713 of file ble_gapc.h.

## ◆ phy

uint8_t ble_gap_sync_established_ind_t::phy

PHY on which synchronization has been established.

See also
  ble_gap_phy_type_t.

Definition at line 712 of file ble_gapc.h.

## ◆ report_flag

bool ble_gap_sync_established_ind_t::report_flag

Report Flag.

Definition at line 719 of file ble_gapc.h.

## ◆ serv_data

uint16_t ble_gap_sync_established_ind_t::serv_data

Service data.

Definition at line 718 of file ble_gapc.h.

## ◆ sync_hdl

uint16_t ble_gap_sync_established_ind_t::sync_hdl

Sync handle.

Definition at line 717 of file ble_gapc.h.

The documentation for this struct was generated from the following file:

- ble_gapc.h